package com.goldenwater.slaj.hidd.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hidd.mapper.AttOrgExtMapper;
import com.goldenwater.slaj.hidd.domain.AttOrgExt;
import com.goldenwater.slaj.hidd.service.IAttOrgExtService;

/**
 * 机构扩展信息 服务层实现
 */
@Service
public class AttOrgExtServiceImpl implements IAttOrgExtService {

    @Autowired
    private AttOrgExtMapper attOrgExtMapper;

    /**
     * 查询机构扩展信息信息
     * @param guid 查询条件
     * @return 机构扩展信息信息
     */
    @Override
    public AttOrgExt selectAttOrgExtByGuid(String guid) {
        return attOrgExtMapper.selectAttOrgExtByGuid(guid);
    }

    /**
     * 查询机构扩展信息列表
     * @param attOrgExt 机构扩展信息查询条件
     * @return 机构扩展信息集合
     */
    @Override
    public List<AttOrgExt> selectAttOrgExtList(AttOrgExt attOrgExt) {
        return attOrgExtMapper.selectAttOrgExtList(attOrgExt);
    }

    /**
     * 新增机构扩展信息
     * @param attOrgExt 机构扩展信息信息
     * @return 影响行数
     */
    @Override
    public int insertAttOrgExt(AttOrgExt attOrgExt) {
        return attOrgExtMapper.insertAttOrgExt(attOrgExt);
    }

    /**
     * 修改机构扩展信息
     * @param attOrgExt 机构扩展信息信息
     * @return 影响行数
     */
    @Override
    public int updateAttOrgExt(AttOrgExt attOrgExt) {
        return attOrgExtMapper.updateAttOrgExt(attOrgExt);
    }

    /**
     * 删除机构扩展信息
     * @param guid 机构扩展信息主键
     * @return 影响行数
     */
    @Override
    public int deleteAttOrgExtByGuid(String guid) {
        return attOrgExtMapper.deleteAttOrgExtByGuid(guid);
    }

    /**
     * 批量删除机构扩展信息
     * @param guids 机构扩展信息主键数组
     * @return 影响行数
     */
    @Override
    public int deleteAttOrgExtByGuids(String[] guids) {
        return attOrgExtMapper.deleteAttOrgExtByGuids(guids);
    }
}
